Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 157325 - no eclipse binding for in-place renaming refactor
no eclipse binding for in-place renaming refactor
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Key bindings
6.x
Macintosh All
: P3 (vote)
: 6.x
Assigned To: jonathanlocke
issues@editor
: NETFIX, SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 17:56 UTC by jonathanlocke
Modified: 2009-10-13 15:45 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Patch for the required binding (4.10 KB, patch)
2009-08-05 13:55 UTC, tusharvjoshi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jonathanlocke 2009-01-22 17:56:08 UTC
command-option-r should do an in-place renaming refactor
Comment 1 Vitezslav Stejskal 2009-02-12 14:42:28 UTC
And what does command-option-r do? If anything? Thanks
Comment 2 Jiri Kovalsky 2009-03-30 14:22:21 UTC
Vita Stejskal agreed that he would review and integrate a patch for this issue contributed by the NetFIX [1] team.

[1] http://wiki.netbeans.org/NetFIX
Comment 3 tusharvjoshi 2009-08-05 10:27:29 UTC
Currently NetBeans support Command+R for instant renaming if the Eclipse keybindings are selected.  
Eclipse has a shortcut Command+Option+R for instant renaming in Mac (checked with Eclipse Ganymede 3.4)
I have managed changing this shortcut to the desired one and tested, and it works.

The windows bindings for instant renaming are also Control+R 
Where as Eclipse has bindings SHIFT+ALT+R which can also be done.  

Is this understanding correct?  If yes then I will attach the patch with this issue for review, according to the NetFIX
process.

with regards
Tushar Joshi
Comment 4 tusharvjoshi 2009-08-05 13:55:09 UTC
Created attachment 85840 [details]
Patch for the required binding
Comment 5 tusharvjoshi 2009-08-05 13:57:55 UTC
The patch attached has Windows and Mac bindings for Eclipse in-place rename shortcut as follows:

Windows:
SHIFT+ALT+R
Mac:
Command+Option+R
Comment 6 tusharvjoshi 2009-08-05 14:00:57 UTC
To test this patch functionality

1. Activate Java SE plugin
2. Select Eclipse Key Bindings from Preferences dialog box
3. In any Java class file try to put cursor on a variable name identifier and press the shortcut key combination.
4. In place rename feature shall get activated
Comment 7 Jiri Kovalsky 2009-08-05 14:03:03 UTC
Jonathan, can you please answer Tushar's questions in order to start review of the proposed patch? Thanks!
Comment 8 Vitezslav Stejskal 2009-10-09 13:16:37 UTC
dd9f35712718 - applied the patch and added 'Caret Color (Overwrite mode)' among Tools-Options -> Fonts & Colors ->
Highlights. Thanks for the patch
Comment 9 Vitezslav Stejskal 2009-10-09 13:38:21 UTC
I'm sorry, please ignore my last message. It was supposed to end up in a different issue.
Comment 10 tusharvjoshi 2009-10-09 13:45:06 UTC
Please review the patch attached and suggest any changes if needed

with regards
Tushar Joshi, Nagpur
NetFIX
Comment 11 Vitezslav Stejskal 2009-10-13 15:45:28 UTC
local changeset: 2cd542ac6129

I had to tweak the patch a little bit. There are two rename actions in the IDE - in-place rename and full scale
refactoring rename. The both ought to have the same shortcut. In Eclipse profile they both now have Alt-Shift-R on
Windows and Command-Option-R on Mac.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo